* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background: #f5f5f5;
    color: #222;
}

.hero {
    min-height: 500px;

    background:
        linear-gradient(
            rgba(0, 0, 0, 0.55),
            rgba(0, 0, 0, 0.55)
        ),
        url("https://images.unsplash.com/photo-1532375810709-75b1da00537c?auto=format&fit=crop&w=1600&q=80");

    background-size: cover;
    background-position: center;

    display: flex;
    align-items: center;
    justify-content: center;

    text-align: center;
    color: white;
}

.overlay {
    max-width: 850px;
    padding: 30px;
}

.small-title {
    letter-spacing: 4px;
    margin-bottom: 20px;
}

.hero h1 {
    font-size: 48px;
    margin-bottom: 15px;
}

.hero h2 {
    font-size: 25px;
    margin-bottom: 20px;
}

.hero p {
    font-size: 18px;
    line-height: 1.6;
}

.btn {
    display: inline-block;

    margin-top: 30px;

    padding: 14px 25px;

    background: white;
    color: #222;

    text-decoration: none;

    border-radius: 30px;

    font-weight: bold;
}

.container {
    width: 90%;
    max-width: 1000px;
    margin: auto;
    padding: 60px 0;
}

.container > h2 {
    text-align: center;
    font-size: 32px;
}

.subtitle {
    text-align: center;
    margin: 10px 0 35px;
    color: #666;
}

form {
    background: white;

    padding: 30px;

    border-radius: 15px;

    box-shadow: 0 5px 20px rgba(0,0,0,0.08);
}

label {
    display: block;

    margin-top: 18px;
    margin-bottom: 8px;

    font-weight: bold;
}

input,
textarea {
    width: 100%;

    padding: 13px;

    border: 1px solid #ddd;

    border-radius: 8px;

    font-size: 16px;
}

textarea {
    min-height: 120px;
    resize: vertical;
}

button {
    width: 100%;

    margin-top: 25px;

    padding: 15px;

    border: none;

    border-radius: 8px;

    background: #ff9933;

    color: white;

    font-size: 17px;

    font-weight: bold;

    cursor: pointer;
}

.memories {
    background: white;
}

.memory-grid {
    display: grid;

    grid-template-columns:
        repeat(auto-fit, minmax(280px, 1fr));

    gap: 25px;

    margin-top: 35px;
}

.memory-card {
    background: #f8f8f8;

    border-radius: 15px;

    overflow: hidden;

    box-shadow: 0 5px 15px rgba(0,0,0,0.08);
}

.memory-card img {
    width: 100%;
    height: 220px;

    object-fit: cover;
}

.memory-content {
    padding: 20px;
}

.memory-content h3 {
    margin-bottom: 10px;
}

.memory-content p {
    line-height: 1.6;
    margin-bottom: 10px;
}

footer {
    background: #222;
    color: white;

    text-align: center;

    padding: 40px;
}

footer p {
    margin-top: 10px;
    color: #ccc;
}

#message {
    text-align: center;
    margin-top: 20px;
    font-weight: bold;
}